Erro de instalar o NPM e NODEJS via ppa

Olá, desde já agradeço a ajuda

Fui instalar o nodejs na minha máquina instalada com POPos 20.04 e fui seguir esse site:


Após de baixar o shell script, rodei ele para aplicar o PPA, só que eu esqueci que ja tinha instalado o nodejs e npm na minha máquina.

Consegui instalar o nodejs “tranquilo” mas o npm dá erro de dependencias ao instalar. E quando vou verificar a versão do nodejs (nodejs -v) aparece que ele não está instalado.

Já tentei arrumar com o comando sudo apt install -f (para instalar dependencias) e, ja tentei reinstalar nodejs, mas permanece o mesmo erro. Como posso resolver isso???

Tutorial bem estranho e desatualizado esse em, entra no site do node e instala a LTS que é a versão 12 ou se quiser segue esse link aqui:
(remove essa PPA ai primeiro)

Realmente está estranho isso. Parece que você instalou uma versão e depois tentou instalar outra, e isso por algum motivo causou o conflito.

Recomendo você desinstalar tudo relacionado ao node/npm , remover esse PPA do 10 (que realmente é meio antigo) e instalar seguindo os passos do próprio Node.

Resumidamente:
Primeiro remover os pacotes antigos:

sudo apt-get purge npm node*
sudo apt autoremove
sudo apt autoclean

E depois instalar o nodejs:

curl -sL https://deb.nodesource.com/setup_12.x | sudo -E bash -
sudo apt-get install -y nodejs

Se realmente precisar do v10 é só mudar o 12 pelo 10.

1 Curtida